Get campaign statistics, for date range
GET/v1/campaigns/:campaignId/stats
Gets campaign statistics for a date range. Use the startDate and endDate query parameters to specify the date range. The date range between startDate and endDate is limited to 366 days at a time.
If the merge parameter is set to false, then this endpoint returns individual campaign statistics for each day in the date range. If set to true, this endpoint returns a single entry with aggregated statistics for the date range.
If the startDate and endDate are omitted, campaign statistics for the last 30 days are returned.
Notes:
- If no campaign statistics exist for the requested date range,
CurrencyCodeis set tonull - If the currency of the employer has changed in the requested date range,
CurrencyCodeis set tonull
| OAuth scope | Access token type |
|---|---|
employer.advertising.campaign_report.read | Access token that represents an employer. See Get access token that represents employer. |
Request
Path Parameters
Campaign ID.
Query Parameters
Start of the date range, inclusive, in YYYY-MM-DD format.
End of the date range, exclusive, in YYYY-MM-DD format. End date must be at least one day after the start date.
Start date in YYYY-MM-DD format. Lists campaign stats starting with the start date, inclusive. This parameter is only meant for pagination; for all other purposes startDate must be used.
Indicates whether to merge the campaign statistic results. Possible values are true and false. The default is false. If the merge parameter is set to false, then this endpoint returns individual campaign statistics for each day in the date range. If set to true, this endpoint returns a single entry with aggregated statistics for the date range.
Maximum number of entries to appear on one page. Default value is 10 for backward compatibility but we recommend using perPage=366 to avoid pagination and improve performance.
Responses
- 200
- 400
- 401
- 403
- 404
- 500
Success
- application/json
- Schema
- Example (from schema)
- merge=false
- merge=true
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
- CampaignStatsDaily
- CampaignStatsMerged
Array [
]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
data
object
oneOf
entries
object[]
Campaign name.
Campaign ID.
Date of the recorded campaign traffic statistics. Follows the ISO 8601 YYYY-MM-DD format in US Central Time.
Number of sponsored clicks for the campaign on the specified day.
Number of people who viewed the sponsored campaign on that day.
Number of apps resulting from direct clicks on your ad campaign on the specified day.
Number of unpaid clicks a campaign had on that day.
Number of unpaid views of a campaign had on that day.
ISO 4217 currency code of the employer.
Amount of the job's campaign budget that is already consumed.
Number of times the Apply button was clicked for a sponsored job campaign on a specific day.
Number of unpaid apply starts a campaign had on that day.
Campaign name.
Campaign ID.
Start date of the aggregated campaign traffic statistics. Follows the ISO 8601 YYYY-MM-DD format in US Central Time.
End date of the aggregated campaign traffic statistics. Follows the ISO 8601 YYYY-MM-DD format in US Central Time.
Number of sponsored clicks for the campaign on the specified day.
Number of people who viewed the sponsored campaign on that day.
Number of apps resulting from direct clicks on your ad campaign on the specified day.
Number of unpaid clicks a campaign had on that day.
Number of unpaid views a campaign had on that day.
ISO 4217 currency code of the employer.
Amount of the job's campaign budget that is already consumed.
Number of times the Apply button was clicked for a sponsored job campaign on a specific day.
Number of unpaid apply starts a campaign had on that day.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": {}}{ "meta": { "status": 200, "rootLocation": "https://apis.indeed.com/ads", "perPage": 30, "links": [ { "rel": "up", "href": "/v1/campaigns/da4d7052916d0c75/stats" } ] }, "data": { "entries": [ { "Name": "Hand model", "Id": "da4d7052916d0c75", "Date": "2019-02-25", "Clicks": 169, "Impressions": 2825, "Conversions": 2, "OrganicClicks": 324, "OrganicImpressions": 4242, "CurrencyCode": "GBP", "Cost": 0.45, "Applystarts": 40, "OrganicApplystarts": 20 }, { "Name": "Hand model", "Id": "da4d7052916d0c75", "Date": "2019-02-26", "Clicks": 171, "Impressions": 2567, "Conversions": 3, "OrganicClicks": 567, "OrganicImpressions": 4272, "CurrencyCode": "GBP", "Cost": 0.9, "Applystarts": 50, "OrganicApplystarts": 10 } ] }}{ "meta": { "status": 200, "rootLocation": "https://apis.indeed.com/ads", "perPage": 30, "links": [ { "rel": "up", "href": "/v1/campaigns/da4d7052916d0c75/stats" } ] }, "data": { "Name": "Hand model", "Id": "da4d7052916d0c75", "StartDate": "2019-02-25", "EndDate": "2019-02-26", "Clicks": 169, "Impressions": 2825, "Conversions": 2, "OrganicClicks": 324, "OrganicImpressions": 4242, "CurrencyCode": "GBP", "Cost": 0.45, "Applystarts": 40, "OrganicApplystarts": 20 }}A request parameter is not valid.
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 400, "errors": [ { "type": "END_DATE_BEFORE_START_DATE", "description": "End date should not be before start date." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": { "rel": "up", "href": "/v1/campaigns" } }, "data": null}Request did not include a valid access token:
-
The
Authorizationheader is missing or malformed. Include the access token using theBearerscheme — for example,Authorization: Bearer XYZ. -
The access token is malformed. When building requests manually, check that you copied the token without missing or extra characters at the start or end.
-
The access token has expired. Tokens expire after one hour (3,600 seconds). Get a new token using your client credentials (2-legged OAuth) or a refresh token (3-legged OAuth).
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 401, "errors": [ { "type": "INVALID_TOKEN", "description": "Invalid OAuth access token." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}Valid access token that cannot be used with this API. Inspect the error returned in the meta.errors for details.
| Error type | Meaning and common causes |
|---|---|
INSUFFICIENT_SCOPE | The access token does not have the OAuth v2 token scope required for this API endpoint. For common causes, see FAQ and troubleshooting. |
NOT_EMPLOYER_ACCESS_TOKEN | This endpoint requires an access token that represents an employer. See Get access token that represents employer. That is, you must specify the employer parameter when requesting the access token. You need to do this for the majority of the Sponsored Jobs API endpoints. |
LEGACY_ACCESS_TOKEN_NOT_ALLOWED | Sponsored Jobs API no longer supports access tokens that you get through legacy OAuth endpoints. For updated endpoints, see Integrate with Indeed and call APIs |
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 403, "errors": [ { "type": "INSUFFICIENT_SCOPE", "description": "Access token does not have permission to access this API." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}Requested campaign either does not exist or belongs to another employer. Be sure to use an access token that represents the employer that owns the requested campaign. See Get access token that represents employer.
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 404, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": { "rel": "up", "href": "/v1/campaigns" } }, "data": null}Unexpected error occurred. The problem is sometimes temporary and the exact same request may succeed after retrying.
If retrying the request does not help, a problem with parsing the request might have occurred. Make sure that all the required parameters are present and that all parameters are correctly formatted.
If you use an access token obtained with client credentials grant type (2-legged OAuth) with the legacy Sponsored Jobs API endpoint, the INTERNAL_SERVER_ERROR error occurs. Be sure to use the latest base URL (https://apis.indeed.com/ads).
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 500, "errors": [ { "type": "INTERNAL_SERVER_ERROR", "description": "Failed to process the request." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}